#
# spec file for package man-pages-zh_CN
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           man-pages-zh_CN
Version:        1.6.4.0
Release:        1.3
Summary:        Simplified Chinese Linux man pages
License:        GFDL-1.3-or-later
Group:          System/I18n/Chinese
URL:            https://github.com/man-pages-zh/manpages-zh
Source:         %{URL}/archive/v%{version}/manpages-zh-%{version}.tar.gz
BuildRequires:  libtool
BuildRequires:  opencc
BuildRequires:  python3
Provides:       locale(man:zh)
BuildArch:      noarch

%description
Modern Linux man pages localization project for Chinese language.

It's based on manpages-zh project, a successor for CMPP linux man
pages translation project (discontinued), and Linux CN linux man
pages translation project, with some new addons from openSUSE
maintainers.

%prep
%setup -q -n manpages-zh-%{version}

%build
autoreconf -fiv
%configure --disable-zhtw

%install
%make_install
rm -rf %{buildroot}%{_datadir}/doc/manpages-zh

%files
%license COPYING
%doc README ChangeLog AUTHORS
%{_mandir}/zh_CN

%changelog
* Sat Jan  6 2024 Dirk Müller <dmueller@suse.com>
- update to 1.6.4.0:
  * stty(1): Retranslated from coreutils 9.1.
  * vt-is-UTF8(1): Dropped, tool already disappeared.
  * Import and update coreutils 9.1 translation.
* Fri Oct 22 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.6.3.6
  * Update translations for ulimit(3) from manpages-dev 5.10
  * Update unicode_stop(1) and unicode_start(1) from kbd 2.3.0
  * Add translation for epoll(7)
  * Add coreutils 8.32 translation: od(1) and pr(1).
  * Replace old fileutils ln(1) with coreutils ln(1).
  * Replace old bsdutils kill(1) with coreutils kill(1).
  * Some other minor improvements
- Fix URL and SourceUrl
* Mon May 31 2021 Marguerite Su <i@marguerite.su>
- update version 1.6.3.4
  * switch upstream to https://github.com/manpages-zh
    which has latest coreutils translations
* Wed Jul 30 2014 i@marguerite.su
- update version 1.5.2.1
  * add ibus.1 ibus-daemon.1 ibus-setup.1
  * add fcitx.1 fcitx-remote.1 createPYMB.1 mb2txt.1
- no matter how you git, it's dead. Let's fork it!
* Mon Jun 23 2014 coolo@suse.com
- update to latest git (which is 6 years younger than 1.5)
* Fri Jul 27 2007 mfabian@suse.de
- new package man-pages-zh_CN, version 1.5.
